com.amazonaws.codegen.model.intermediate

## Class SimpleMethodFormModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.SimpleMethodFormModel

    public class SimpleMethodFormModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SimpleMethodFormModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ArgumentModel>` `getArguments()`
`String` `getArgumentsDeclaration()`
`String` `getWithMethodCalls()`
`void` `setArguments(List<ArgumentModel> arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleMethodFormModel

    public SimpleMethodFormModel()

### Method Detail

#### getArguments

    public List<ArgumentModel> getArguments()

#### setArguments

    public void setArguments(List<ArgumentModel> arguments)

#### getArgumentsDeclaration

    public String getArgumentsDeclaration()

#### getWithMethodCalls

    public String getWithMethodCalls()